## GESTextOverlayClip GESTextOverlayClip — Render text onto another stream in a GESLayer |

## Functions

GESTextOverlayClip * | ges_text_overlay_clip_new ()
void | ges_text_overlay_clip_set_text ()
void | ges_text_overlay_clip_set_font_desc ()
void | ges_text_overlay_clip_set_valign ()
void | ges_text_overlay_clip_set_halign ()
void | ges_text_overlay_clip_set_color ()
void | ges_text_overlay_clip_set_xpos ()
void | ges_text_overlay_clip_set_ypos ()
const gchar * | ges_text_overlay_clip_get_text ()
const gchar * | ges_text_overlay_clip_get_font_desc ()
GESTextVAlign | ges_text_overlay_clip_get_valignment ()
GESTextHAlign | ges_text_overlay_clip_get_halignment ()
const guint32 | ges_text_overlay_clip_get_color ()
const gdouble | ges_text_overlay_clip_get_xpos ()
const gdouble | ges_text_overlay_clip_get_ypos ()

## Properties

guint | color | Read / Write / Construct
gchar * | font-desc | Read / Write / Construct
GESTextHAlign | halignment | Read / Write / Construct
gchar * | text | Read / Write / Construct
GESTextVAlign | valignment | Read / Write / Construct
gdouble | xpos | Read / Write / Construct
gdouble | ypos | Read / Write / Construct

## Types and Values

| GESTextOverlayClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESOperationClip
                            ╰── GESOverlayClip
                                ╰── GESTextOverlayClip

## Implemented Interfaces

GESTextOverlayClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Renders text onto the next lower priority stream using textrender.

## Functions

### ges_text_overlay_clip_new ()

    GESTextOverlayClip *
    ges_text_overlay_clip_new (void);

Creates a new GESTextOverlayClip

#### Returns

The newly created GESTextOverlayClip, or `NULL` if there was an error.

[transfer floating][nullable]

### ges_text_overlay_clip_set_text ()

    void
    ges_text_overlay_clip_set_text (GESTextOverlayClip *self,
                                    const gchar *text);

Sets the text this clip will render.

#### Parameters

self | the GESTextOverlayClip* to set text on |
text | the text to render. an internal copy of this text will be made. |

### ges_text_overlay_clip_set_font_desc ()

    void
    ges_text_overlay_clip_set_font_desc (GESTextOverlayClip *self,
                                         const gchar *font_desc);

Sets the pango font description of the text

#### Parameters

self | the GESTextOverlayClip* |
font_desc | the pango font description |

### ges_text_overlay_clip_set_valign ()

    void
    ges_text_overlay_clip_set_valign (GESTextOverlayClip *self,
                                      GESTextVAlign valign);

Sets the vertical aligment of the text.

#### Parameters

self | the GESTextOverlayClip* to set vertical alignement of text on |
valign | GESTextVAlign |

### ges_text_overlay_clip_set_halign ()

    void
    ges_text_overlay_clip_set_halign (GESTextOverlayClip *self,
                                      GESTextHAlign halign);

Sets the horizontal aligment of the text.

#### Parameters

self | the GESTextOverlayClip* to set horizontal alignement of text on |
halign | GESTextHAlign |

### ges_text_overlay_clip_set_color ()

    void
    ges_text_overlay_clip_set_color (GESTextOverlayClip *self,
                                     guint32 color);

Sets the color of the text.

#### Parameters

self | the GESTextOverlayClip* to set |
color | The color `self` is being set to |

### ges_text_overlay_clip_set_xpos ()

    void
    ges_text_overlay_clip_set_xpos (GESTextOverlayClip *self,
                                    gdouble position);

Sets the horizontal position of the text.

#### Parameters

self | the GESTextOverlayClip* to set |
position | The horizontal position `self` is being set to |

### ges_text_overlay_clip_set_ypos ()

    void
    ges_text_overlay_clip_set_ypos (GESTextOverlayClip *self,
                                    gdouble position);

Sets the vertical position of the text.

#### Parameters

self | the GESTextOverlayClip* to set |
position | The vertical position `self` is being set to |

### ges_text_overlay_clip_get_text ()

    const gchar *
    ges_text_overlay_clip_get_text (GESTextOverlayClip *self);

Get the text currently set on `self` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The text currently set on `self` .

### ges_text_overlay_clip_get_font_desc ()

    const gchar *
    ges_text_overlay_clip_get_font_desc (GESTextOverlayClip *self);

Get the pango font description used by `self` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The pango font description used by `self` .

### ges_text_overlay_clip_get_valignment ()

    GESTextVAlign
    ges_text_overlay_clip_get_valignment (GESTextOverlayClip *self);

Get the vertical aligment used by `self` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The vertical aligment used by `self` .

### ges_text_overlay_clip_get_halignment ()

    GESTextHAlign
    ges_text_overlay_clip_get_halignment (GESTextOverlayClip *self);

Get the horizontal aligment used by `self` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The horizontal aligment used by `self` .

### ges_text_overlay_clip_get_color ()

    const guint32
    ges_text_overlay_clip_get_color (GESTextOverlayClip *self);

Get the color used by `source` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The color used by `source` .

### ges_text_overlay_clip_get_xpos ()

    const gdouble
    ges_text_overlay_clip_get_xpos (GESTextOverlayClip *self);

Get the horizontal position used by `source` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The horizontal position used by `source` .

### ges_text_overlay_clip_get_ypos ()

    const gdouble
    ges_text_overlay_clip_get_ypos (GESTextOverlayClip *self);

Get the vertical position used by `source` .

#### Parameters

self | a GESTextOverlayClip |

#### Returns

The vertical position used by `source` .

## Types and Values

### GESTextOverlayClip

    typedef struct _GESTextOverlayClip GESTextOverlayClip;

## Property Details

### The `“color”` property

      “color”                    guint

The color of the text

Flags: Read / Write / Construct

Default value: 4294967295

### The `“font-desc”` property

      “font-desc”                gchar *

Pango font description string

Flags: Read / Write / Construct

Default value: "Serif 36"

### The `“halignment”` property

      “halignment”               GESTextHAlign

Horizontal alignment of the text

Flags: Read / Write / Construct

Default value: GES_TEXT_HALIGN_CENTER

### The `“text”` property

      “text”                     gchar *

The text to diplay

Flags: Read / Write / Construct

Default value: ""

### The `“valignment”` property

      “valignment”               GESTextVAlign

Vertical alignent of the text

Flags: Read / Write / Construct

Default value: GES_TEXT_VALIGN_BASELINE

### The `“xpos”` property

      “xpos”                     gdouble

The horizontal position of the text

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5

### The `“ypos”` property

      “ypos”                     gdouble

The vertical position of the text

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5